<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="models.StudentMapper">

    <resultMap type="Student" id="StudentResult">
        <id property="studId" column="stud_id"/>
        <result property="name" column="name"/>
        <result property="age" column="age"/>
        <result property="email" column="email"/>
    </resultMap>

    <select id="findAllStudents" resultMap="StudentResult">
        select * from students
    </select>

    <select id="findStudentById" parameterType="int" resultType="Student">
        select stud_id as studId, name, age, email from students where stud_id=#{studId}
    </select>

    <insert id="insertStudent" parameterType="Student">
        INSERT INTO STUDENTS(NAME, AGE, EMAIL) VALUES(#{name}, #{age}, #{email})
    </insert>

    <delete id="deleteStudent" parameterType="int">
        DELETE FROM STUDENTS WHERE STUD_ID=#{studId}
    </delete>

    <update id="updateStudent" parameterType="Student">
        UPDATE STUDENTS SET NAME=#{name}, AGE=#{age}, EMAIL=#{email} WHERE STUD_ID=#{studId}
    </update>

</mapper>